Package org.codehaus.janino.util

# Class ClassFile.CodeAttribute

java.lang.Object
org.codehaus.janino.util.ClassFile.AttributeInfo
org.codehaus.janino.util.ClassFile.CodeAttribute

Enclosing class:
  `ClassFile`

public static class ClassFile.CodeAttribute extends ClassFile.AttributeInfo
Representation of an unmodifiable `Code` attribute, as read from a class file.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`ClassFile.CodeAttribute.ExceptionTableEntry`
Representation of an entry in the "exception_table" of a "Code" attribute (see JVMS 4.7.3).

## Field Summary

Fields
Modifier and Type
Field
Description
`final byte[]`
`code`

## Constructor Summary

Constructors
Constructor
Description
`CodeAttribute(short attributeNameIndex, short maxStack, short maxLocals, byte[] code, ClassFile.CodeAttribute.ExceptionTableEntry[] exceptionTableEntries, ClassFile.AttributeInfo[] attributes)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`storeBody(DataOutputStream dos)`
Writes the body of this attribute in an attribute-type dependent way; see JVMS7 4.7.2 and following.

### Methods inherited from class org.codehaus.janino.util.ClassFile.AttributeInfo

`store`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### code

public final byte[] code

## Constructor Details

### CodeAttribute

public CodeAttribute(short attributeNameIndex, short maxStack, short maxLocals, byte[] code, ClassFile.CodeAttribute.ExceptionTableEntry[] exceptionTableEntries, ClassFile.AttributeInfo[] attributes)

## Method Details

### storeBody

protected void storeBody(DataOutputStream dos) throws IOException
Description copied from class: `ClassFile.AttributeInfo`
Writes the body of this attribute in an attribute-type dependent way; see JVMS7 4.7.2 and following.

Specified by:
  `storeBody` in class `ClassFile.AttributeInfo`
Throws:
  `IOException`